#include <cstdio>
#include <cstring>

bool pole[20003][20003];
int X, Y, N, V;
int obsazenychRadku;

void vypisPole();
void nastavPole( int kx, int ky);
void vypisVysledek();
bool neniObsazene( int x, int y);

int main () {

  int kx, ky;
  
  while( true ) {
      scanf ("%d %d %d", &X, &Y, &N);
      if(!X && !Y && !N) return 0;
      memset(pole, 0, sizeof(bool)*20003*20003);

      V = 0;
      obsazenychRadku = 0;
      
      for( int i = 0; i<N; i++) {
        scanf("%d %d", &kx, &ky);
        nastavPole(kx, ky);
      }
      /*vypisPole();*/
      printf("%d\n", V);
  }
  
}

void nastavPole( int kx, int ky) {
   
    
    pole[0][ky] = true;
    pole[kx][0] = true;
    pole[kx][ky] = true;
    
    /* diagonaly */
    
    int dx, dy, min;
    if (kx < ky) min = kx;
    else min = ky;
    
    dx = kx - min;
    dy = ky - min;
    while( dx < X && dy < Y) pole[dx++][dy++] = true;
    
    if (kx < (Y-ky)) min = kx;
    else min = (Y-ky);
    
    dx = kx - min;
    dy = ky + min;
    while( dx < X && dy >= 0) pole[dx++][dy--] = true;
    
}

void vypisPole() {
    for(int i=0; i<=Y; i++) {
        for(int j=0; j<=X; j++) printf("%d ", pole[j][i]);
        printf("\n");
        }
   }
   
   
void vypisVysledek() {

    for(int i=1; i<X; i++) {
        if ( pole[i][0] ) {
            obsazenychRadku++;
            continue;
        }
        
        for(int j=1; j<X; j++) if( neniObsazene(i, j) ) V++;
    }

    printf("%d\n", V);
}

bool neniObsazene( int x, int y) {
    return !pole[x][y];
}
