#include <cstdio>
#include <cstring>

int px[20003], py[20003];
int soucty[20003];

int X, Y, N, V;
int obsazenychRadku;

void vypisPole();
void nastavPole( int kx, int ky);
void vypisVysledek();
bool neniObsazene( int x, int y);

int main () {

  int kx, ky;
  
  while( true ) {
      scanf ("%d %d %d", &X, &Y, &N);
      if(!X && !Y && !N) return 0;
      memset(pole, 0, sizeof(bool)*20003*20003);

      V = 0;
      obsazenychRadku = 0;
      
      for( int i = 0; i<N; i++) {
        scanf("%d %d", &kx, &ky);
        nastavPole(kx, ky);
      }
      // vypisPole();
      vypisVysledek();
  }
  
}

void nastavPole( int kx, int ky) {
    
    pole[0][ky] = true;
    pole[kx][0] = true;
    pole[kx][ky] = true;
    
}

void vypisPole() {
    for(int i=0; i<=Y; i++) {
        for(int j=0; j<=X; j++) printf("%d ", pole[j][i]);
        printf("\n");
        }
   }
   
   
void vypisVysledek() {
    int dx, dy, min;
    bool found = false;
    
    for(int i=1; i<=X; i++) {
        if ( pole[i][0] ) {
        printf("Vyrazuju radek\n");
            continue;
        }
        
        for(int j=1; j<=Y; j++)  {
             if ( pole[0][j] ) {
                     printf("Vyrazuju sloupec\n");
                continue;
            }
            
            found = false;
            
            if (i < j) min = i;
            else min = j;
            
            dx = i - min + 1;
            dy = j - min + 1;
            
            while( dx <= X && dy <= Y) {
                if ( pole[dx++][dy++] ) {
                    found = true;
                    break;
                    }
            }
            if (found) continue;
            
            if (i < (Y-j+1)) min = i;
            else min = (Y-j+1);
            
            dx = i - min +1;
            dy = j + min -1;
            while( dx <= X && dy > 0) {
                if ( pole[dx++][dy--] ) {
                    found = true;
                    break;
                    }
            }
            if (found) continue;

            /* pocita pocet neoba\sazenych poli */
            V++;
        }
    }

    printf("%d\n", V);
}

bool neniObsazene( int x, int y) {
    return !pole[x][y];
}
